Skip to navigation

FormGroups Resource

View as Markdown

With the appropriate permissions, form administrators at your company can create form groups, or curated set of forms gathered from the association form libraries to which Docusign provides access. Form groups enable agents to know which forms to add to rooms based on the type of transaction they are working on. When creating groups, administrators can make certain forms required, ensuring compliance. If you don’t create groups, agents will have to choose forms they need from a list of association forms.

Methods supported

MethodDescription
AssignFormGroupFormPOST /restapi/v2/accounts/{accountId}/form_groups/{formGroupId}/assign_form
Assigns a form to a form group.
CreateFormGroupPOST /restapi/v2/accounts/{accountId}/form_groups
Creates a form group.
DeleteFormGroupDEL /restapi/v2/accounts/{accountId}/form_groups/{formGroupId}
Deletes a form group.
GetFormGroupGET /restapi/v2/accounts/{accountId}/form_groups/{formGroupId}
Gets a form group.
GetFormGroupFormsGET /restapi/v2/accounts/{accountId}/form_groups/{formGroupId}/forms
Get forms of the specified form group.
GetFormGroupsGET /restapi/v2/accounts/{accountId}/form_groups
Gets form groups.
GrantOfficeAccessToFormGroupPOST /restapi/v2/accounts/{accountId}/form_groups/{formGroupId}/grant_office_access/{officeId}
Grants an office access to a form group.
RemoveFormGroupFormPOST /restapi/v2/accounts/{accountId}/form_groups/{formGroupId}/unassign_form/{formId}
Removes a form from a form group.
RenameFormGroupPUT /restapi/v2/accounts/{accountId}/form_groups/{formGroupId}
Renames a form group.
RevokeOfficeAccessFromFormGroupPOST /restapi/v2/accounts/{accountId}/form_groups/{formGroupId}/revoke_office_access/{officeId}
Revoke an office’s access to a form group.

FormGroups properties

PropertyTypeDescription
endPositioninteger (int32)The last zero-based index position in the result set.
formGroupsarrayA list of form groups.
nextUristringThe URI for the next chunk of records based on the search request. This property is null for the last set of search results.
priorUristringThe URI for the previous chunk of records based on the search request. This property is null for the first set of search results.
resultSetSizeinteger (int32)The number of results returned in this response.
startPositioninteger (int32)The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is 0.
totalRowCountinteger (int32)The number of results in this reponse.